//
//  PhotosViewController.swift
//  Photorama
//
//  Created by Paul Pollock on 8/7/17.
//  Copyright © 2017 Paul Pollock. All rights reserved.
//
//


import UIKit

class PhotosViewController: UIViewController {
    
    @IBOutlet var imageView: UIImageView!
    
    var store: PhotoStore!

override func viewDidLoad()   {
    super.viewDidLoad()
    
    store.fetchInterestingPhotos    {
        (photosResult) -> Void in
        
        switch photosResult {
        case let .success(photos):
            print("Successfuly found \(photos.count) photos.")
        case let .failure(error):
            print("Error fetching interesting photos: \(error)")   // Appears
            /*
 Error Domain=NSCocoaErrorDomain Code=3840 "JSON text did not start with array or object and option to allow fragments not set." UserInfo={NSDebugDescription=JSON text did not start with array or object and option to allow fragments not set.}
            */
        }
    }

    }
    
//    func updateImageView(for photo: Photo)  {
//        store.fetchImage(for: photo)    {
//            (imageResult) -> Void in
//            
//            switch imageResult  {
//            case let .success(image):
//                self.imageView.image = imageView
//            case let .failure(error):
//                print("Error downloading image: \(error) (PhotosViewController.swift")
//            }
//        }
//    }
    
    
    }

